# New submission review

* **Has the license been approved by the OSI?** _All OSI-approved license will be included on the SPDX License List, regardless of other factors_
    - [ ] Yes
    - [ ] No

## Definitive Factors

_These must all be satisfied to allow inclusion in the license list_

1. **Is the submitted license unique, that is, it does not match another license already on the License List as per the [matching guidelines](https://spdx.org/spdx-license-list/matching-guidelines)?**
    - [ ] Yes
    - [ ] No
1. **If a software license, does it apply to source code and not only to executables?**
    - [ ] Yes
    - [ ] No
1. **Does the license have identifiable and stable text, and is not in the midst of drafting?**
    - [ ] Yes
    - [ ] No
1. **Has the license steward, if any, committed to versioning new versions and to not modify it after addition to the list?**
    - [ ] Yes
    - [ ] No

## Other factors for inclusion

*Roughly in order of descending importance*

1. **Does the license substantially comply with one of the free/open content definitions? (examples include the [Open Source Definition](https://opensource.org/osd) and the [Debian Free Software Guidelines](https://www.debian.org/social_contract#guidelines))** (_Approval by the organisation that publishes the definition is not required_)
    - [ ] Yes
    - [ ] No
1. **Is the license structured to be generally usable by anyone, and not specific to one organisation or project?**
    - [ ] Yes
    - [ ] No
1. **Does the license have substantial use such that it is likely to be encountered (ie. use in many projects, or in one significant project)?** (_For recently written licenses, definitive plans for it to be used in at least one or a few significant projects may satisfy this_)
    - [ ] Yes
    - [ ] No
1. **Is the license primarily intended to facilitate the free distribution of content with limited restrictions?**
    - [ ] Yes
    - [ ] No
1. **Does the license steward support this submission, or is at least aware of and not in opposition of it?**
    - [ ] Yes
    - [ ] No

## Summary of factors, outcome, comments

_Comments on the totality of these "other factors" in light of the SPDX License List's overall goals and objectives_
